import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfFileSelectObjectSchema as PdfFileSelectObjectSchema } from './PdfFileSelect.schema';
import { PdfFileIncludeObjectSchema as PdfFileIncludeObjectSchema } from './PdfFileInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => PdfFileSelectObjectSchema).optional(),
  include: z.lazy(() => PdfFileIncludeObjectSchema).optional()
}).strict();
export const PdfFileArgsObjectSchema = makeSchema();
export const PdfFileArgsObjectZodSchema = makeSchema();
